<?php
if($options['showing'] == 'top' && $options['post'] == true) {
function add_post_top_content($content){
	 if(is_singular('post')){
	 $content .=  get_jamie_social_code();
	 }
	 return $content;
	 }
add_filter('the_content','add_post_top_content');
}
if($options['showing'] == 'bottom' && $options['post'] == true) {
 function add_post_bot_content($content){
		 if(is_singular('post')){
		ob_start();
		get_jamie_social_code();
		$content .= ob_get_clean();
		 }
	 return $content;
	 }
	 add_filter('the_content','add_post_bot_content');
}
if($options['showing'] == 'topbottom' && $options['post'] == true) {
	 function add_post_topbot_content($content){
		 if(is_singular('post')){
		ob_start();
		get_jamie_social_code();
		$content .= ob_get_clean();
		$content .=  get_jamie_social_code();
		}
	 return $content;
	 }
	 add_filter('the_content','add_post_topbot_content');
}